<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <!-- Mã -->
    <div nz-col nzXs="11" nzLg="11">
      <mb-input-text
        [mbType]="isSubmitted && form.controls['code'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['code'].errors != null"
        [mbErrors]="form.controls['code'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.label.code' | translate }}]"
        mbPlaceholderText="--{{'staffAbs.label.code' | translate}}--"
        mbLabelText="{{'staffAbs.label.code' | translate}} <span class='label__required'>*</span>"
        formControlName="code"></mb-input-text>
    </div>

    <!--  Tên  -->
    <div nz-col nzXs="11" nzLg="11">
      <mb-input-text
        [mbType]="isSubmitted && form.controls['name'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['name'].errors != null"
        [mbErrors]="form.controls['name'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.label.name' | translate }}]"
        mbPlaceholderText="--{{'staffAbs.label.name' | translate}}--"
        mbLabelText="{{'staffAbs.label.name' | translate}} <span class='label__required'>*</span>"
        formControlName="name"></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="24">
      <div nz-row [nzGutter]="[30,30]" *ngFor="let groupCode of groupCodes.controls; index as i">
        <div nz-col nzXs="11" nzLg="11" formArrayName="groupCodes" style="margin-bottom:20px">
            <mb-select [mbDataSelects]="listVLookupWorkdayType"
                       (ngModelChange)="selectGroupCode($event)"
                       mbKeyLabel="label"
                       mbKeyValue="value"
                       [mbType]="isSubmitted && groupCodes.controls[i].errors ? 'error' : 'default'"
                       [mbShowError]="isSubmitted && groupCodes.controls[i].errors != null"
                       [mbErrors]="groupCodes.controls[i].errors"
                       [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.label.groupName' | translate }}]"
                       mbPlaceholder="--{{'staffAbs.label.groupName' | translate}}--"
                       mbLabelText="{{'staffAbs.label.groupName' | translate}} <span class='label__required'>*</span>"
                       [formControlName]="i"></mb-select>
        </div>
        <div nz-col nzXs="11" nzLg="11" formArrayName="factors" style="margin-bottom:20px">
          <mb-input-text
            appNumberic
            [num]="2"
            [mbType]="isSubmitted && factors.controls[i].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && factors.controls[i].errors != null"
            [mbErrors]="factors.controls[i].errors"
            [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.label.factor' | translate }}]"
            mbPlaceholderText="--{{'staffAbs.label.factor' | translate}}--"
            mbLabelText="{{'staffAbs.label.factor' | translate}} <span class='label__required'>*</span>"
            [formControlName]="i"></mb-input-text>
        </div>
        <div nz-col nzXs="2" nzLg="2" style="margin:28px 0 20px -34px">
          <mb-button *ngIf="i == 0" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-plus-circle" mbButtonSize="LARGE"
                     mbButtonTextColor="#fff" mbButtonType="NO_BORDER" (click)="addFactor()"
                     mbButtonBgColor="#141ED2"></mb-button>
          <mb-button *ngIf="i > 0" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-trash-alt" mbButtonSize="LARGE"
                     mbButtonTextColor="#fff" mbButtonType="NO_BORDER" (click)="removeFactor(i, groupCode)"
                     mbButtonBgColor="#FA0B0B"></mb-button>
        </div>
      </div>
    </div>
  </div>
</form>
